Bug 1874873 - [4.5] Storage operator stops reconciling when going Upgradeable=False on v1alpha1 CRDs
Summary: [4.5] Storage operator stops reconciling when going Upgradeable=False on v1al...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.z
Assignee: Christian Huffman
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On: 1873299
Blocks: 1879109
TreeView+ depends on / blocked
 
Reported: 2020-09-02 13:26 UTC by Christian Huffman
Modified: 2020-09-21 17:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1873299
Environment:
Last Closed: 2020-09-21 17:42:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-storage-operator pull 83 None closed Bug 1874873: Move notUpgradeable check later to prevent z-stream upgrade failures 2020-09-20 10:22:41 UTC
Red Hat Product Errata RHBA-2020:3719 None None None 2020-09-21 17:42:21 UTC

Comment 3 Wei Duan 2020-09-14 12:59:38 UTC
0. Install 4.5 nightly (4.5.0-0.nightly-2020-09-12-013926)
1. Disabled csi-snapshot-controller-operator, and csi-snapshot-controller.
2. Delete the v1beta1 VolumeSnapshot* CRDs.
3. Install the v1alpha1 VolumeSnapshot* CRDs.
4. CVO message:
message: 'Cluster operator storage cannot be upgraded between minor versions: Unable to update cluster as v1alpha1 version of volumesnapshots.snapshot.storage.k8s.io, volumesnapshotclasses.snapshot.storage.k8s.io, volumesnapshotcontents.snapshot.storage.k8s.iois detected. Remove these CRDs to allow the upgrade to proceed.'
5. Upgrade to another 4.5 nightly (4.5.0-0.nightly-2020-09-14-030924)
6. Upgrade is triggered, most co are upgraded to target release, only few co (csi-snapshot-controller/dns/machine-config/network) did not, the CVO report the message
message: 'Unable to apply 4.5.0-0.nightly-2020-09-14-030924: the cluster operator csi-snapshot-controller has not yet successfully rolled out'
reason: ClusterOperatorNotAvailable
status: "True"
type: Progressing

I think for storage operator, it doesn't not prevent upgrade when going Upgradeable=False on v1alpha1 CRDs, so marked it as VERIFIED.

Comment 5 errata-xmlrpc 2020-09-21 17:42:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.11 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3719


Note You need to log in before you can comment on or make changes to this bug.